
Foreman - Bug #30990

GRT and HRT should use curl with --fail to avoid executing html code on 5xx responses

10/05/2020 06:28 PM - Marek Hulán

Status: New   

Priority: Normal   

Assignee:    

Category: Host registration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Foreman - Feature #30696: Improve the error output in global regis... New

History

#1 - 10/05/2020 06:29 PM - Marek Hulán

- Related to Feature #30440: Simple & automatic host registration WF added

#2 - 10/20/2020 12:41 PM - Leos Stejskal

But using --fail means we won't show user errors any errors, they won't see what (and where) went wrong.

#3 - 11/08/2020 03:14 PM - Tomer Brisker

- Category set to Host registration

#4 - 06/04/2021 08:30 AM - Leos Stejskal

- Related to deleted (Feature #30440: Simple & automatic host registration WF)

#5 - 08/09/2021 12:54 PM - Leos Stejskal

- Related to Feature #30696: Improve the error output in global registration template added

#6 - 08/09/2021 12:55 PM - Leos Stejskal

This could be covered in https://projects.theforeman.org/issues/30696

#7 - 08/09/2021 12:56 PM - Leos Stejskal

- Triaged changed from No to Yes
